Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1444822 - Review Request: nodejs-portfinder - A simple tool to find an open port or domain socket on the current machine
Summary: Review Request: nodejs-portfinder - A simple tool to find an open port or dom...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1447201
TreeView+ depends on / blocked
 
Reported: 2017-04-24 11:46 UTC by Parag Nemade
Modified: 2017-05-07 13:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-07 13:46:07 UTC
tom: fedora-review+


Attachments (Terms of Use)

Description Parag Nemade 2017-04-24 11:46:57 UTC
Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-portfinder.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-portfinder-1.0.13-1.fc26.src.rpm

Description:
A simple tool to find an open port or domain socket on the current machine.

Comment 1 Parag Nemade 2017-04-24 11:47:03 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=19176572

Comment 2 Tom Hughes 2017-05-02 18:07:19 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license. Detailed output of licensecheck in /home/tom/1444822
     -nodejs-portfinder/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-portfinder-1.0.13-1.fc27.noarch.rpm
          nodejs-portfinder-1.0.13-1.fc27.src.rpm
nodejs-portfinder.noarch: W: only-non-binary-in-usr-lib
nodejs-portfinder.noarch: W: dangling-symlink /usr/lib/node_modules/portfinder/node_modules/mkdirp /usr/lib/node_modules/mkdirp
nodejs-portfinder.noarch: W: dangling-symlink /usr/lib/node_modules/portfinder/node_modules/debug /usr/lib/node_modules/debug
nodejs-portfinder.noarch: W: dangling-symlink /usr/lib/node_modules/portfinder/node_modules/async /usr/lib/node_modules/async
2 packages and 0 specfiles checked; 0 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
nodejs-portfinder.noarch: W: only-non-binary-in-usr-lib
nodejs-portfinder.noarch: W: dangling-symlink /usr/lib/node_modules/portfinder/node_modules/async /usr/lib/node_modules/async
nodejs-portfinder.noarch: W: dangling-symlink /usr/lib/node_modules/portfinder/node_modules/debug /usr/lib/node_modules/debug
nodejs-portfinder.noarch: W: dangling-symlink /usr/lib/node_modules/portfinder/node_modules/mkdirp /usr/lib/node_modules/mkdirp
1 packages and 0 specfiles checked; 0 errors, 4 warnings.



Requires
--------
nodejs-portfinder (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(async)
    npm(debug)
    npm(mkdirp)



Provides
--------
nodejs-portfinder:
    nodejs-portfinder
    npm(portfinder)



Source checksums
----------------
https://registry.npmjs.org/portfinder/-/portfinder-1.0.13.tgz :
  CHECKSUM(SHA256) this package     : 340b2f6665d25438f27144678bcccb4e46902a29a292ca532f9145da4074cc84
  CHECKSUM(SHA256) upstream package : 340b2f6665d25438f27144678bcccb4e46902a29a292ca532f9145da4074cc84


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1444822
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Tom Hughes 2017-05-02 18:12:44 UTC
Is there a particular reason for not packaging from github so that the tests can be run? They seem to pass OK for me although it seems to hang at the end for some reason...

In any case if they're going to be disabled the basic load test should still be done.

Comment 4 Parag Nemade 2017-05-03 06:01:02 UTC
I think I used first github source, enabled tests and did koji scratch build but it hang on some test. I did not find time to work on finding the cause hence I added comment that "will enable test in future release" and fallback to npmjs tarball.

Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-portfinder.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-portfinder-1.0.13-2.fc26.src.rpm

Waiting for koji scratch build to finish -> https://koji.fedoraproject.org/koji/taskinfo?taskID=19383433

Comment 5 Tom Hughes 2017-05-03 08:33:21 UTC
I've figured out the hang and opened a pull request to fix it:

https://github.com/indexzero/node-portfinder/pull/56

Don't know if it's the best approach but applying that patch seems to stop it happening for me.

Comment 6 Parag Nemade 2017-05-03 16:36:47 UTC
Thanks for the upstream fix. Here is updated package

Spec URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-portfinder.spec
SRPM URL: http://pnemade.fedorapeople.org/fedora-work/nodejs-portfinder-1.0.13-3.fc26.src.rpm

Comment 7 Tom Hughes 2017-05-04 17:41:39 UTC
Looks good now.

Comment 8 Gwyn Ciesla 2017-05-05 12:18:23 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/nodejs-portfinder


Note You need to log in before you can comment on or make changes to this bug.